Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockOperation

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.MockOperationConfig>
              com.eviware.soapui.impl.wsdl.mock.WsdlMockOperation

All Implemented Interfaces:
  MockOperation, ModelItem, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

    public class WsdlMockOperation

extends AbstractWsdlModelItem<com.eviware.soapui.config.MockOperationConfig>
implements MockOperation, java.beans.PropertyChangeListener

A WsdlMockOperation in a WsdlMockService

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `DEFAULT_RESPONSE_PROPERTY`
`static java.lang.String` | `DISPATCH_PATH_PROPERTY`
`static java.lang.String` | `DISPATCH_STYLE_PROPERTY`
`static java.lang.String` | `OPERATION_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlMockOperation(WsdlMockService mockService, com.eviware.soapui.config.MockOperationConfig config)`
`WsdlMockOperation(WsdlMockService mockService, com.eviware.soapui.config.MockOperationConfig config, WsdlOperation operation)`

Method Summary
`WsdlMockResponse` | `addNewMockResponse(com.eviware.soapui.config.MockResponseConfig responseConfig)`
`WsdlMockResponse` | `addNewMockResponse(java.lang.String name, boolean createResponse)`
`WsdlMockResult` | `dispatchRequest(WsdlMockRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.Object` | `evaluateDispatchScript(WsdlMockRequest request)`
`org.apache.xmlbeans.XmlObject[]` | `evaluateDispatchXPath(WsdlMockRequest request)`
`java.lang.String` | `getDefaultResponse()`
`java.lang.String` | `getDispatchPath()`
`com.eviware.soapui.config.DispatchStyleConfig.Enum` | `getDispatchStyle()`
`javax.swing.ImageIcon` | `getIcon()`
`WsdlMockResult` | `getLastMockResult()`
`WsdlMockResponse` | `getMockResponseAt(int index)`
`WsdlMockResponse` | `getMockResponseByName(java.lang.String name)`
`int` | `getMockResponseCount()`
`java.util.List<MockResponse>` | `getMockResponses()`
`WsdlMockService` | `getMockService()`
`WsdlOperation` | `getOperation()`
`java.lang.String` | `getWsdlOperationName()`
`boolean` | `isOneWay()`
`void` | `onSave()`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`void` | `release()`
`void` | `removeMockResponse(WsdlMockResponse mockResponse)`
`void` | `setDefaultResponse(java.lang.String defaultResponse)`
`void` | `setDispatchPath(java.lang.String dispatchPath)`
`void` | `setDispatchStyle(com.eviware.soapui.config.DispatchStyleConfig.Enum dispatchStyle)`
`void` | `setOperation(WsdlOperation operation)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### DISPATCH_STYLE_PROPERTY

    public static final java.lang.String DISPATCH_STYLE_PROPERTY

### DEFAULT_RESPONSE_PROPERTY

    public static final java.lang.String DEFAULT_RESPONSE_PROPERTY

### DISPATCH_PATH_PROPERTY

    public static final java.lang.String DISPATCH_PATH_PROPERTY

### OPERATION_PROPERTY

    public static final java.lang.String OPERATION_PROPERTY

Constructor Detail

### WsdlMockOperation

    public WsdlMockOperation(WsdlMockService mockService,
                             com.eviware.soapui.config.MockOperationConfig config)

### WsdlMockOperation

    public WsdlMockOperation(WsdlMockService mockService,
                             com.eviware.soapui.config.MockOperationConfig config,
                             WsdlOperation operation)

Method Detail

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockOperationConfig>`

### getMockService

    public WsdlMockService getMockService()

  Specified by:
    `getMockService` in interface `MockOperation`

### getMockResponseAt

    public WsdlMockResponse getMockResponseAt(int index)

  Specified by:
    `getMockResponseAt` in interface `MockOperation`

### getOperation

    public WsdlOperation getOperation()

  Specified by:
    `getOperation` in interface `MockOperation`

### getMockResponseByName

    public WsdlMockResponse getMockResponseByName(java.lang.String name)

  Specified by:
    `getMockResponseByName` in interface `MockOperation`

### getMockResponseCount

    public int getMockResponseCount()

  Specified by:
    `getMockResponseCount` in interface `MockOperation`

### addNewMockResponse

    public WsdlMockResponse addNewMockResponse(com.eviware.soapui.config.MockResponseConfig responseConfig)

### addNewMockResponse

    public WsdlMockResponse addNewMockResponse(java.lang.String name,
                                               boolean createResponse)

### removeMockResponse

    public void removeMockResponse(WsdlMockResponse mockResponse)

### dispatchRequest

    public WsdlMockResult dispatchRequest(WsdlMockRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws DispatchException

  Throws:
    `DispatchException`

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockOperationConfig>`

### evaluateDispatchXPath

    public org.apache.xmlbeans.XmlObject[] evaluateDispatchXPath(WsdlMockRequest request)
                                                          throws org.apache.xmlbeans.XmlException

  Throws:
    `org.apache.xmlbeans.XmlException`

### evaluateDispatchScript

    public java.lang.Object evaluateDispatchScript(WsdlMockRequest request)
                                            throws DispatchException

  Throws:
    `DispatchException`

### getDispatchStyle

    public com.eviware.soapui.config.DispatchStyleConfig.Enum getDispatchStyle()

### setDispatchStyle

    public void setDispatchStyle(com.eviware.soapui.config.DispatchStyleConfig.Enum dispatchStyle)

### getDispatchPath

    public java.lang.String getDispatchPath()

### setDispatchPath

    public void setDispatchPath(java.lang.String dispatchPath)

### getWsdlOperationName

    public java.lang.String getWsdlOperationName()

### getDefaultResponse

    public java.lang.String getDefaultResponse()

### setDefaultResponse

    public void setDefaultResponse(java.lang.String defaultResponse)

### getMockResponses

    public java.util.List<MockResponse> getMockResponses()

  Specified by:
    `getMockResponses` in interface `MockOperation`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### getLastMockResult

    public WsdlMockResult getLastMockResult()

  Specified by:
    `getLastMockResult` in interface `MockOperation`

### setOperation

    public void setOperation(WsdlOperation operation)

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.MockOperationConfig>`

### isOneWay

    public boolean isOneWay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.